# Created by pyp2rpm-3.3.2
%global pypi_name geventhttpclient

Name:           python-%{pypi_name}
Version:        1.3.1
Release:        %mkrel 3
Summary:        http client library for gevent
Group:          Development/Python
License:        LICENSE-MIT
URL:            http://github.com/gwik/geventhttpclient
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(certifi)
BuildRequires:  python3dist(gevent) >= 0.13
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)

%description
A high performance, concurrent HTTP client library for python using gevent.

gevent.httplib support was removed in gevent 1.0, geventhttpclient now provides
that missing functionality.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(certifi)
Requires:       python3dist(gevent) >= 0.13
Requires:       python3dist(six)

%description -n python3-%{pypi_name}
A high performance, concurrent HTTP client library for python using gevent.

gevent.httplib support was removed in gevent 1.0, geventhttpclient now provides
that missing functionality.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.3.1-3.mga8
+ Revision: 1533094
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.3.1-2.mga8
+ Revision: 1443332
- rebuild for python-3.8
- drop python2 subpkg

* Sun Apr 21 2019 wally <wally> 1.3.1-1.mga7
+ Revision: 1394306
- imported package python-geventhttpclient

